summaryrefslogtreecommitdiff
path: root/dev-python/openapi-schema-validator
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2026-02-24 23:53:19 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2026-02-24 23:53:19 +0000
commit5da2cce6ffc6741eb06bca0e67c7fe2fe7675462 (patch)
tree9771a07228d4b82e0a28168f73b2b854becf11ba /dev-python/openapi-schema-validator
parent77af7503e1a9ced7d9d7559a2104e3c153599145 (diff)
downloadbaldeagleos-repo-5da2cce6ffc6741eb06bca0e67c7fe2fe7675462.tar.gz
baldeagleos-repo-5da2cce6ffc6741eb06bca0e67c7fe2fe7675462.tar.xz
baldeagleos-repo-5da2cce6ffc6741eb06bca0e67c7fe2fe7675462.zip
Adding metadata
Diffstat (limited to 'dev-python/openapi-schema-validator')
-rw-r--r--dev-python/openapi-schema-validator/Manifest2
-rw-r--r--dev-python/openapi-schema-validator/openapi-schema-validator-0.7.1.ebuild36
2 files changed, 38 insertions, 0 deletions
diff --git a/dev-python/openapi-schema-validator/Manifest b/dev-python/openapi-schema-validator/Manifest
index 6021d20e339a..12f72f534f98 100644
--- a/dev-python/openapi-schema-validator/Manifest
+++ b/dev-python/openapi-schema-validator/Manifest
@@ -1,3 +1,5 @@
DIST openapi_schema_validator-0.6.3.tar.gz 11550 BLAKE2B 5080b089301a651514b1c5689f28d94893bfcae66ee9624f17bf59a017d9246b23855ae66fc82e0d74a42810978dfeb4b84029c9dbb7d6724885e765b3d9162c SHA512 f335fc4dd1530cbcdd63ece998a42b27497e31e7191fc8e65437ae1810a7bc12e313d8eac982368d33a643502d13e1f69f6b00f710b4e90c50961bdfe7150ff9
DIST openapi_schema_validator-0.7.0.tar.gz 13886 BLAKE2B b00be0e97167f7a4ed212cc37b4b2abfab1b5c6d1355188c116c7b32577c7ca8615ee6ca403e44b7bc81cbf93eb44899e25477f745c896d8d4b2526da25bec41 SHA512 a7ed7f54789aa5f876ac6101f71eb62b883ee1c10dfed54b8584b94133a2e8ebfc975a78cf4b45d7718676e08ce8237169802e0a85ffdbd200b0268e16d0e6a3
DIST openapi_schema_validator-0.7.0.tar.gz.provenance 10226 BLAKE2B b70cf20201d97183c00ebbf43bc37d6646d6b52e839885013670bba4007055155b26e1b24dd0ea41ac616f4e1eb6210762cca3573a9717a084ccf534009b78bf SHA512 6a69217af500a26c86b5437df92ea7ca33ceb13635a57f81b334e7e6f4829d56c90beab93b1b5ef5f6279a769671acf087969ad75c5d9fdce34ef2b3b757a962
+DIST openapi_schema_validator-0.7.1.tar.gz 14432 BLAKE2B c30c02c56f4952f918a4bdc065b7c625c4a4dd6550a81b29de5e6a543ea619b440e4c361351ef9a1ffa92ceff69cbfa9979f33d739c877ae195762a575af0c39 SHA512 d4fe6ed540bd3f0a68858a1828df57aeda59103a7891174cf73b9a01a2f40431ab5c466d3cc0b6cfa19eb6a042dca2f8e3891bc60f1fe5b6ff854af30d69be58
+DIST openapi_schema_validator-0.7.1.tar.gz.provenance 9867 BLAKE2B 183e7431b4c8209d4280182c3d8773bfb2452e1625dc064dbd0356f8129cb9795efc932327e5b6e2b357aab56ae82d9b935ec136a0e0891ad26c57c13e2307cd SHA512 83ad37dbb8406df1d57707f20974f22c376753b08563fdbe3b7596c02285e59935ea721439e5343280420f956f3558d78ca2b6cbe4164c0a299cb62c6c7a9d2d
diff --git a/dev-python/openapi-schema-validator/openapi-schema-validator-0.7.1.ebuild b/dev-python/openapi-schema-validator/openapi-schema-validator-0.7.1.ebuild
new file mode 100644
index 000000000000..11ed40468c3c
--- /dev/null
+++ b/dev-python/openapi-schema-validator/openapi-schema-validator-0.7.1.ebuild
@@ -0,0 +1,36 @@
+# Copyright 2022-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYPI_VERIFY_REPO=https://github.com/python-openapi/openapi-schema-validator
+PYTHON_COMPAT=( python3_{10..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="OpenAPI schema validation for Python"
+HOMEPAGE="
+ https://github.com/python-openapi/openapi-schema-validator/
+ https://pypi.org/project/openapi-schema-validator/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv ~x86"
+
+RDEPEND="
+ <dev-python/jsonschema-5[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-4.19.1[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-specifications-2024.10.1[${PYTHON_USEDEP}]
+ dev-python/rfc3339-validator[${PYTHON_USEDEP}]
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+src_prepare() {
+ distutils-r1_src_prepare
+
+ sed -i -e '/--cov/d' pyproject.toml || die
+}